import {
	request
} from '@/utils/request'
// 获取维修数量统计
export function getRepairCount(params) {
	return request({
		url: '/rq/stat/main/status',
		method: 'get',
		params
	})
}
// 维修工单列表
export function getRepairList(params) {	
	return request({
		url: '/rq/iot-maintain/page/app',
		method: 'get',
		params
	})
}
// 维修工单 - 获取选择维修项列表 
export function deviceAssociateBomListPage(params) {
	return request({
		url: '/rq/iot-device/deviceAssociateBomListPage',
		method: 'get',
		data:params // 这里使用data是因为传输的数据中包含数组
	})
}
// 创建维修工单
export function createRepair(data) {
	return request({
		url: '/rq/iot-maintain/create',
		method: 'post',
		data
	})
}

// 填报维修工单
export function updateRepair(data) {
	return request({
		url: '/rq/iot-maintain/update',
		method: 'put',
		data
	})
}

// 获取维修工单详情
export function getRepairDetail(params) {
	return request({
		url: '/rq/iot-maintain/get',
		method: 'get',
		params
	})
}

// 维修工单获取申请人列表
export function getRepairApplicantList(params) {
	return request({
		url: `/rq/iot-maintain/maintain/applyusers`,
		method: 'get',
		params
	})
}
// 维修工单获取项目经理列表
export function getRepairProjectManagerList(params) {
	return request({
		url: `/rq/iot-maintain/maintain/project`,
		method: 'get',
		params
	})
}


  export function maintainMethod(data) {
		// return request.post({ url: `/rq/iot-maintain/method`, data })
		
		return request({
			url: `/rq/iot-maintain/method`,
			method: 'post',
			data
	  })
  }